ariaboard.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/ariaboard.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
}

www.ariaboard.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/www.ariaboard.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
}


c.g77k.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/c.g77k.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
}

ipv6.photonicat.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/ipv6.photonicat.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
}


dev.ariaboard.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/dev.ariaboard.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
}

wiki.g77k.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/wiki.g77k.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
}

w.g77k.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/w.g77k.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
      header_up X-Forwarded-For {http.request.header.CF-Connecting-IP}
    }
}


shanghainovotech.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/shanghainovotech.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
}

www.shanghainovotech.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/www.shanghainovotech.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
} 

weiling.co {
    encode zstd gzip
    log {
      output file /var/log/caddy/weiling.co.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
} 

www.weiling.co {
    encode zstd gzip
    log {
      output file /var/log/caddy/www.weiling.co.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
} 


photonicat.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/photonicat.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
} 

www.photonicat.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/www.photonicat.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
} 

api.photonicat.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/api.photonicat.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
} 

ddns.sh1.xyz {
    encode zstd gzip
    log {
      output file /var/log/caddy/ddns.sh1.xyz.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:88 {
        header_up X-Forwarded-Host {host}
    }
} 

static.ariaboard.com {
    encode zstd gzip
    log {
      output file /var/log/caddy/static.ariaboard.com.log
      level INFO
    }

    file_server {
      root /www/static.ariaboard.com
      browse
    }
} 

cali.sh1.xyz {
    encode zstd gzip
    log {
      output file /var/log/caddy/cali.sh1.xyz.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:81 {
        header_up X-Forwarded-Host {host}
    }
} 

g.g77k.com {
encode zstd gzip
    log {
      output file /var/log/caddy/g.g77k.com.log
      level INFO
    }

    reverse_proxy http://127.0.0.1:82 {
        header_up X-Forwarded-Host {host}
    }
}

chat.sh1.xyz {
    encode zstd gzip
    reverse_proxy https://axchat.sh1.xyz:4433 {
        header_up X-Forwarded-Host {host}
    }
}
